# Using ts-deepscan

***ts-deepscan*** is part of [**ts-scan**](https://trustsource.github.io/ts-scan) , the suiss army knife of SCA. It is the file scanner, resulting from several years of experience with scanning code for license information, vulnerabilities or malware across a plethora of sources, be it plain text files, packages, docker images or even binaries across a variety of environments.

You may use **deepscan** standalone or as part of **ts-scan**. A complete documentation of all features covered by ts-scan can be found here. The following covers the usage as well as so,e use cases of ts-deepscan in detail.

As  help has been designed to support you in making the best use of it. To get a quick entry we outline different use cases and describe how to achieve the particular goal. A general article will give you an overview of the design and another article explains how to use ***ts-scan*** together with the ***TrustSource*** platform. However, ts-scan is standalone and can be used with every backend.

To get a quick intro, jump to any of the following use cases:

* [Architecture Overview & supported Ecosystems](/ts-scan/architecture)

* Capabilities

  * [Scanning for dependencies](/ts-scan/sbom) (creating SBOMs)
  * [Scanning for licenses](/ts-scan/licenses)
  * [Scanning for encryption](/ts-scan/encryption)
  * [Scan for Known Vulnerabilities](/ts-scan/vulns)
  * [Scan for malware](/ts-scan/malware)

* Operations

  * Scanning different artefacts
  * Storing and exporting scan results to different formats
  * Operating ts-scan inside a container

  

## Installing

TBC

## Getting Support

***ts-scan*** is open source and supported through this repository. As a TrustSource subscriber, you may contact [TrustSource support](mailto:support@trustsource.io) for help. As a community user, please [file a ticket with the repo](https://github.com/trustsource/ts-scan/issues).  

You may also find additional information and learning materials on specific scanning issues/topics in our open [TrustSource Knowledgebase](https://support.trustsource.io).

## Reporting Vulnerabilities

TrustSource provides a coordinated vulnerability disclosure procedure for its platform. ***ts-scan*** follows that schema and vulnerabilities identified should follow this procedure. Please find all details in the [Security](../security.md) Policy.

